Unable to resolve module `react-native/Libraries/Components/View/ViewStylePropTypes` error when updating to ExpoKit 33

I’ve followed the instructions here to update ExpoKit but the app is throwing this error on startup:

com.facebook.react.common.DebugServerException: The development server returned response error code: 500

URL: http://192.168.1.173:19001/node_modules/expo/AppEntry.bundle?platform=android&dev=true&minify=false&hot=false

Body:
{
	"originModulePath": "node_modules/expo/node_modules/react-native-reanimated/src/createAnimatedComponent.js",
	"targetModuleName": "react-native/Libraries/Components/View/ViewStylePropTypes",
	"message": "Unable to resolve module `react-native/Libraries/Components/View/ViewStylePropTypes` from `node_modules/expo/node_modules/react-native-reanimated/src/createAnimatedComponent.js`: Module `react-native/Libraries/Components/View/ViewStylePropTypes` does not exist in the Haste module map\n\nThis might be related to https://github.com/facebook/react-native/issues/4968\nTo resolve try the following:\n  1. Clear watchman watches: `watchman watch-del-all`.\n  2. Delete the `node_modules` folder: `rm -rf node_modules && npm install`.\n  3. Reset Metro Bundler cache: `rm -rf /tmp/metro-bundler-cache-*` or `npm start -- --reset-cache`.\n  4. Remove haste cache: `rm -rf /tmp/haste-map-react-native-packager-*`.",
	"errors": [{
		"description": "Unable to resolve module `react-native/Libraries/Components/View/ViewStylePropTypes` from `node_modules/expo/node_modules/react-native-reanimated/src/createAnimatedComponent.js`: Module `react-native/Libraries/Components/View/ViewStylePropTypes` does not exist in the Haste module map\n\nThis might be related to https://github.com/facebook/react-native/issues/4968\nTo resolve try the following:\n  1. Clear watchman watches: `watchman watch-del-all`.\n  2. Delete the `node_modules` folder: `rm -rf node_modules && npm install`.\n  3. Reset Metro Bundler cache: `rm -rf /tmp/metro-bundler-cache-*` or `npm start -- --reset-cache`.\n  4. Remove haste cache: `rm -rf /tmp/haste-map-react-native-packager-*`."
	}],
	"name": "Error",
	"stack": "Error: Unable to resolve module `react-native/Libraries/Components/View/ViewStylePropTypes` from `node_modules/expo/node_modules/react-native-reanimated/src/createAnimatedComponent.js`: Module `react-native/Libraries/Components/View/ViewStylePropTypes` does not exist in the Haste module map\n\nThis might be related to https://github.com/facebook/react-native/issues/4968\nTo resolve try the following:\n  1. Clear watchman watches: `watchman watch-del-all`.\n  2. Delete the `node_modules` folder: `rm -rf node_modules && npm install`.\n  3. Reset Metro Bundler cache: `rm -rf /tmp/metro-bundler-cache-*` or `npm start -- --reset-cache`.\n  4. Remove haste cache: `rm -rf /tmp/haste-map-react-native-packager-*`.\n    at ModuleResolver.resolveDependency (node_modules/metro/src/node-haste/DependencyGraph/ModuleResolution.js:183:15)\n    at ResolutionRequest.resolveDependency (node_modules/metro/src/node-haste/DependencyGraph/ResolutionRequest.js:52:18)\n    at DependencyGraph.resolveDependency (node_modules/metro/src/node-haste/DependencyGraph.js:283:16)\n    at Object.resolve (node_modules/metro/src/lib/transformHelpers.js:261:42)\n    at dependencies.map.result (node_modules/metro/src/DeltaBundler/traverseDependencies.js:399:31)\n    at Array.map (<anonymous>)\n    at resolveDependencies (node_modules/metro/src/DeltaBundler/traverseDependencies.js:396:18)\n    at node_modules/metro/src/DeltaBundler/traverseDependencies.js:269:33\n    at Generator.next (<anonymous>)\n    at asyncGeneratorStep (node_modules/metro/src/DeltaBundler/traverseDependencies.js:87:24)"
}
	at com.facebook.react.devsupport.BundleDownloader.pr

I’ve tried the 4 suggested steps with no success. Any help appreciated.

Thanks

Try copying this file (https://raw.githubusercontent.com/facebook/react-native/0.49-stable/Libraries/Renderer/shims/ReactNativePropRegistry.js) to node_nodules/react-native/Libraries/Renderer/shims and restart expo.